Bullet Collision Detection & Physics Library: btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | Static Public Attributes | List of all members
btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo Struct Reference

`#include <btSequentialImpulseConstraintSolverMt.h>`

Collaboration diagram for btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo:
[legend]

## Public Attributes
int | numTouchingContacts
int | solverBodyIds [2]
int | contactIndex
int | rollingFrictionIndex
bool | contactHasRollingFriction [MAX_NUM_CONTACT_POINTS]
btManifoldPoint * | contactPoints [MAX_NUM_CONTACT_POINTS]

## Static Public Attributes
static const int | MAX_NUM_CONTACT_POINTS = 4

## Detailed Description

Definition at line 66 of file btSequentialImpulseConstraintSolverMt.h.

## Member Data Documentation

## ◆ contactHasRollingFriction

bool btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo::contactHasRollingFriction[MAX_NUM_CONTACT_POINTS]

Definition at line 74 of file btSequentialImpulseConstraintSolverMt.h.

## ◆ contactIndex

int btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo::contactIndex

Definition at line 72 of file btSequentialImpulseConstraintSolverMt.h.

## ◆ contactPoints

btManifoldPoint* btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo::contactPoints[MAX_NUM_CONTACT_POINTS]

Definition at line 75 of file btSequentialImpulseConstraintSolverMt.h.

## ◆ MAX_NUM_CONTACT_POINTS

const int btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo::MAX_NUM_CONTACT_POINTS = 4
| static

Definition at line 68 of file btSequentialImpulseConstraintSolverMt.h.

## ◆ numTouchingContacts

int btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo::numTouchingContacts

Definition at line 70 of file btSequentialImpulseConstraintSolverMt.h.

## ◆ rollingFrictionIndex

int btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo::rollingFrictionIndex

Definition at line 73 of file btSequentialImpulseConstraintSolverMt.h.

## ◆ solverBodyIds

int btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo::solverBodyIds[2]

Definition at line 71 of file btSequentialImpulseConstraintSolverMt.h.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.h